clang-tools 10.0.0

Classes | Functions | Variables
clang::tidy::google::readability Namespace Reference

## Classes
class | AvoidCStyleCastsCheck
| Finds usages of C-style casts. More...
class | AvoidUnderscoreInGoogletestNameCheck
class | GlobalNamesInHeadersCheck
| Flag global namespace pollution in header files. More...
class | TodoCommentCheck
| Finds TODO comments without a username or bug number. More...

## Functions
static bool | needsConstCast (QualType SourceType, QualType DestType)
static bool | pointedUnqualifiedTypesAreEqual (QualType T1, QualType T2)
static bool | isGoogletestTestMacro (StringRef MacroName)

## Variables
constexpr llvm::StringLiteral | kDisabledTestPrefix = "DISABLED_"

## Function Documentation

## ◆ isGoogletestTestMacro()

static bool clang::tidy::google::readability::isGoogletestTestMacro | ( | StringRef | MacroName | ) |
| static

Definition at line 25 of file AvoidUnderscoreInGoogletestNameCheck.cpp.

## ◆ needsConstCast()

static bool clang::tidy::google::readability::needsConstCast | ( | QualType | SourceType,
|  | QualType | DestType
| ) |  |
| static

Definition at line 36 of file AvoidCStyleCastsCheck.cpp.

## ◆ pointedUnqualifiedTypesAreEqual()

static bool clang::tidy::google::readability::pointedUnqualifiedTypesAreEqual | ( | QualType | T1,
|  | QualType | T2
| ) |  |
| static

Definition at line 49 of file AvoidCStyleCastsCheck.cpp.

## Variable Documentation

## ◆ kDisabledTestPrefix

constexpr llvm::StringLiteral clang::tidy::google::readability::kDisabledTestPrefix = "DISABLED_"

Definition at line 22 of file AvoidUnderscoreInGoogletestNameCheck.cpp.